---
title: Create
url: https://www.tines.com/docs/api/cases/actions/create/
updated: 2026-04-01T12:10:19+00:00
description: Create a new case action on a specified case. This does not overwrite other actions that may exist on the case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Actions](https://www.tines.com/llm/docs/api/cases/actions.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/actions/create/)*

## Description

Create a new case action on a specified case. This does not overwrite other actions that may exist on the case.

## Request

HTTP Method: **POST**

| Parameter    | Description                                                                                |
| ------------ | ------------------------------------------------------------------------------------------ |
| url          | The URL of the case action (webhook or page URL).                                          |
| label        | User specified field to identify the case action.                                          |
| action_type  | The case action type (`webhook` or `page`).                                                |
| action_text  | **Optional** The text for the button to execute the action.                                |
| query_params | **Optional** An object of key-value pairs to append as query parameters to the action URL. |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/actions \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "url": "https://example.tines.com",
        "label": "label",
        "action_type": "webhook",
        "action_text": "Open form",
        "query_params": {
          "status": "open",
          "priority": "high"
        }
      }'
```

## Response

A successful request will return a JSON object describing the newly created case action.

### Field description

| Parameter    | Description                                                                          |
| ------------ | ------------------------------------------------------------------------------------ |
| case_id      | The ID of the case.                                                                  |
| id           | The case action ID.                                                                  |
| url          | The URL of the case action.                                                          |
| label        | The label of the case action.                                                        |
| action_type  | The case action type (`webhook` or `page`).                                          |
| action_text  | The text for the button to execute the action.                                       |
| story_name   | Will be populated if the URL matches that of a page or webhook in an existing story. |
| story_emoji  | The associated story's emoji icon.                                                   |
| page_emoji   | The associated page's emoji icon.                                                    |
| query_params | An object of key-value pairs to append as query parameters to the action URL.        |
| created_at   | ISO 8601 Timestamp representing creation date and time of the case action.           |
| updated_at   | ISO 8601 Timestamp representing last updated date and time of case action.           |

### Sample response

```json
{
  "case_id": 42,
  "id": 1,
  "url": "https://tenant.tines.com/webhook/abc/",
  "label": "Claim case",
  "story_name": "Case Management",
  "story_emoji": ":fire:",
  "page_emoji": null,
  "action_type": "webhook",
  "action_text": "Open form",
  "query_params": {
    "priority": "high"
  },
  "created_at": "2023-10-31T15:42:00Z",
  "updated_at": "2023-10-31T16:42:00Z"
}
```
